Name: op5-trapper-processor
Version: 1.1.5
Release: op5.1
License: GPLv2
Packager: build@op5
Vendor: op5 AB
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: SNMP traps processing daemon
Group: op5/trapper
Prefix: /opt/trapper
BuildArch: noarch
Requires: op5-trapper-luapack >= 1.0.1-beta1
Requires: op5-trapper-collector
Requires: op5-mysql
Source: %name-%version.tar.gz
Source1: init.patch

%description
Processes SNMP traps according to user defined rules.

%prep
rm -rf %buildroot
%setup -q
%if 0%{?suse_version}
patch -p1 < %_sourcedir/init.patch
%endif

%install
make INSTALL_TOP=%buildroot%prefix install
mkdir -p %buildroot/etc/init.d
mv %buildroot%prefix/etc/init.d/processor %buildroot/etc/init.d/processor

%post
if [ -z "$(mysql -t mysql -e "select user from user where user = 'trapper'")" ]; then
	mysql -e "create user 'trapper'@'localhost' identified by 'trapper'"
	mysql -e "grant all privileges on *.* to 'trapper'@'localhost'"
	mysql -e "create user 'trapper'@'%' identified by 'trapper'"
	mysql -e "grant all privileges on *.* to 'trapper'@'%'"
fi
mysql < %prefix/share/db/processor.sql

if [ "$1" -eq 1 ]; then
	chkconfig --add processor
	service processor start
fi

%preun
if [ "$1" -eq 0 ]; then
	chkconfig --del processor
	service processor stop
fi

%files
%defattr(-,root,root)
%attr(755,root,root) /etc/init.d/processor
%attr(644,root,root) %prefix/etc/processor.conf
%attr(755,root,root) %prefix/bin/processor
%attr(755,root,root) %prefix/bin/traped
%attr(644,root,root) %prefix/lib/lua/extra.lua
%attr(644,root,root) %prefix/share/db/processor.sql

%dir %prefix/var/run

%clean
rm -rf %buildroot
